*****************************************************************************
* 																			*
*			Campaign Panel Book Chapter 4 - Intraindividual Dynamic Turnout crossed with Turnout Variables *		
*																			*
*****************************************************************************



***Generate variables to indicate whether one has participated  in the entire study

gen a_teilnahmen = 1 if a_teilnahme==6 & a_w1==0 | a_teilnahme==7
gen b_teilnahmen = 1 if b_teilnahme==7



***Case numbers turnout
gen a_beteil = a_beteil1+a_beteil2+a_beteil3+a_beteil4+a_beteil5+a_beteil6+a_beteil7
tab a_beteil if a_teilnahmen==1 [aw=a_weight]


gen b_beteil = b_beteil1+b_beteil2+b_beteil3+b_beteil4+b_beteil5+b_beteil6+b_beteil7
tab b_beteil if b_teilnahmen==1 [aw=b_weight]

* Four-step turnout variable for pattern of participation
tab  a_rohkoeffkat_beteil if a_beteil>0 [aw=a_weight]

gen a_participant_typ = .
replace a_participant_typ=1 if a_rohkoeffkat_beteil==0 & a_beteil>0 & a_beteil!=. & a_teilnahmen==1
replace a_participant_typ=2 if a_rohkoeffkat_beteil==1 & a_beteil>0 & a_beteil!=. & a_teilnahmen==1
replace a_participant_typ=3 if a_rohkoeffkat_beteil==-1 & a_beteil>0 & a_beteil!=. & a_teilnahmen==1
replace a_participant_typ=4 if a_rohkoeffkat_beteil==0 & a_beteil==0 & a_teilnahmen==1
tab a_participant_typ  [aw=a_weight]


tab  b_rohkoeffkat_beteil if b_beteil>0 [aw=b_weight]

gen b_participant_typ = .
replace b_participant_typ=1 if b_rohkoeffkat_beteil==0 & b_beteil>0 & b_beteil!=. & b_teilnahmen==1
replace b_participant_typ=2 if b_rohkoeffkat_beteil==1 & b_beteil>0 & b_beteil!=. & b_teilnahmen==1
replace b_participant_typ=3 if b_rohkoeffkat_beteil==-1 & b_beteil>0 & b_beteil!=. & b_teilnahmen==1
replace b_participant_typ=4 if b_rohkoeffkat_beteil==0 & b_beteil==0 & b_teilnahmen==1
tab b_participant_typ  [aw=b_weight]



*Internal Efficacy
*** 09
tab  a_intefficacy_hd_ges a_rohkoeffkat_intefficacy [aw=a_weight], cell
bysort a_participant_typ: tab a_intefficacy_hd_ges a_rohkoeffkat_intefficacy [aw=a_weight], cell

*** 13
tab  b_intefficacy_hd_ges b_rohkoeffkat_intefficacy [aw=b_weight], cell
bysort b_participant_typ: tab b_intefficacy_hd_ges b_rohkoeffkat_intefficacy [aw=b_weight], cell



*External Efficacy
*** 09
tab  a_extefficacy_hd_ges a_rohkoeffkat_extefficacy [aw=a_weight], cell
bysort a_participant_typ: tab a_extefficacy_hd_ges a_rohkoeffkat_extefficacy [aw=a_weight], cell

*** 13
tab  b_extefficacy_hd_ges b_rohkoeffkat_extefficacy [aw=b_weight], cell
bysort b_participant_typ: tab b_extefficacy_hd_ges b_rohkoeffkat_extefficacy [aw=b_weight], cell



***Satisfaction with democracy
*** 09
tab  a_zufr_hd_ges a_rohkoeffkat_zufr [aw=a_weight], cell
bysort a_participant_typ: tab a_zufr_hd_ges a_rohkoeffkat_zufr [aw=a_weight], cell

*** 13
tab  b_zufr_hd_ges b_rohkoeffkat_zufr [aw=b_weight], cell
bysort b_participant_typ: tab b_zufr_hd_ges b_rohkoeffkat_zufr [aw=b_weight], cell




***Alienation
*** 09
tab  a_entfremda_hd_ges a_rohkoeffkat_entfremda [aw=a_weight], cell
bysort a_participant_typ: tab a_entfremda_hd_ges a_rohkoeffkat_entfremda [aw=a_weight], cell

*** 13
tab  b_entfremda_hd_ges b_rohkoeffkat_entfremda [aw=b_weight], cell
bysort b_participant_typ: tab b_entfremda_hd_ges b_rohkoeffkat_entfremda [aw=b_weight], cell


***Indifference
*** 09
tab  a_indiff_hd_ges a_rohkoeffkat_indiff [aw=a_weight], cell
bysort a_participant_typ: tab a_indiff_hd_ges a_rohkoeffkat_indiff [aw=a_weight], cell

*** 13
tab  b_indiff_hd_ges b_rohkoeffkat_indiff [aw=b_weight], cell
bysort b_participant_typ: tab b_indiff_hd_ges b_rohkoeffkat_indiff [aw=b_weight], cell




***Campaign interest 
*** 09
tab  a_wkampfint_hd_ges a_rohkoeffkat_wkampfint [aw=a_weight], cell
bysort a_participant_typ: tab a_wkampfint_hd_ges a_rohkoeffkat_wkampfint [aw=a_weight], cell

*** 13
tab  b_wkampfint_hd_ges b_rohkoeffkat_wkampfint [aw=b_weight], cell
bysort b_participant_typ: tab b_wkampfint_hd_ges b_rohkoeffkat_wkampfint [aw=b_weight], cell



save "${data}\data2009_2013 participants 7 waves.dta", replace
