**************************************************************************
*																		*
*			Campaign Panel Book Chapter 5 - Descriptives for realistic effects								*
*																		*
*************************************************************************


cd "${path}\Reproducible Do-Files\Chapter 5\Data"
use longformat13.dta, clear


est clear
local kommunikation d_watcheddebate d_wahlomatg d_wahlarenag_mg d_wahlarenag_sg d_gesprhin d_pk_gesamtino d_pr_bild d_i_nupol d_pr_paper d_pr_andz d_tv_oeff d_tv_privat d_m_gesamti
local attitudes d_wkampfint d_intefficacy d_extefficacy d_zufr d_entfremda d_indiff

egen miss = rowmiss(d_wwbt `kommunikation' `attitudes')

fre miss

drop if miss~=0

* Delete respondents with only a singly valid combination of IV and DV
* (meaning combination is only valid at one point in time)
* otherwise these respondents are included in fixed-effects linear regression
					
bysort lfdn: egen count = count(miss)	//Count observations per respondent
fre count	

list lfdn welle miss count in 1/100, sepby(lfdn)

drop if count==1


eststo: estpost tabstat `kommunikation' `attitudes' if wwbttyp!=0, ///
	stats(mean sd) col(stats)
eststo: estpost tabstat `kommunikation' `attitudes' if wwbttyp==1, ///
	stats(mean sd) col(stats) 
eststo: estpost tabstat `kommunikation' `attitudes' if wwbttyp==-1, ///
	stats(mean sd) col(stats) 
	
	
cd "${path}\Reproducible Do-Files\Chapter 5"

	
esttab est1 using descriptives_13.rtf, cells("mean(fmt(2)) sd(fmt(2))") replace ///
	title("Mittelwerte und Standardabweichungen der UVs im mittelwertbereinigten Zustand. Fallauswahl: Personen mit Variation auf AV") ///
	note("mittelwertbereinigt = für FE-Regression wird vom jedem Messwert der personenspezifische Mittelwert für diese Variable abgezogen")
	
esttab est2 using descriptives_13.rtf, cells("mean(fmt(2)) sd(fmt(2))") append ///
	title("Mittelwerte und Standardabweichungen der UVs im mittelwertbereinigten Zustand. Fallauswahl: Nur Increasers") ///
	note("mittelwertbereinigt = für FE-Regression wird vom jedem Messwert der personenspezifische Mittelwert für diese Variable abgezogen")	
	
esttab est3 using descriptives_13.rtf, cells("mean(fmt(2)) sd(fmt(2))") append ///
	title("Mittelwerte und Standardabweichungen der UVs im mittelwertbereinigten Zustand. Fallauswahl: Nur Decreasers") ///
	note("mittelwertbereinigt = für FE-Regression wird vom jedem Messwert der personenspezifische Mittelwert für diese Variable abgezogen")	
		
	